module Config.Pages.Interviews.Types exposing (..)


type alias Interview =
    { interviewName : String
    , interviewImage : String
    , interviewSocial : String
    , isNewTabLink : Bool
    , interviewAppearances : List Appearance
    }


type alias Appearance =
    { appearanceEpisode : String
    , appearanceLink : String
    , appearanceTitle : String
    , appearanceYear : String
    , appearanceExperience : Int
    , appearanceSubjects : List Subjects
    }


type alias Subjects =
    { subject : String }


type alias FormattedInterviewName =
    String


type alias FormattedInterviewSocial =
    String
