module Config.Pages.Debate.Cuckery.Records.BartKay exposing (..)

import Config.Helpers.Converters exposing (formatName)
import Config.Pages.Debate.Cuckery.Types exposing (..)


cuckBartKay : Cuck
cuckBartKay =
    let
        name : String
        name =
            "Bart Kay"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/Bart_WT_Kay"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://www.youtube.com/watch?v=M7vTJ02xxrw"
          , dodgeDescription = RanAway
          , dodgeProposition = "A 100% Carnivore diet is the appropriate and best health choice for all people."
          , dodgeReceipts = [ { receipt = "receipt1" } ]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propEmpiricalClaimDisbelief
          }
        ]
    }
