module Config.Pages.Debate.Cuckery.Records.GaryTaubes exposing (..)

import Config.Pages.Debate.Cuckery.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)


cuckGaryTaubes : Cuck
cuckGaryTaubes =
    let
        name : String
        name =
            "Gary Taubes"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/garytaubes"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/garytaubes/status/1595180467552018432?s=20"
          , dodgeDescription = OutrightNo
          , dodgeProposition = "Carbohydrates cause starvation."
          , dodgeReceipts = [ {receipt = "receipt1"}]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Agnostic
          , dodgeNicksDoxasticReason = VagueProp
          }
        ]
    }
