module Config.Pages.Debate.Cuckery.Records.KevinStock exposing (..)

import Config.Pages.Debate.Cuckery.Types exposing (..)
import Config.Helpers.Converters exposing (formatName)


cuckKevinStock : Cuck
cuckKevinStock =
    let
        name : String
        name =
            "Kevin Stock"
    in
    { cuckImage = formatName name
    , cuckName = name
    , cuckSocial = "https://x.com/kevinstock12"
    , isNewTabLink = True
    , cuckDodges =
        [ { dodgeLink = "https://x.com/The_Nutrivore/status/1530140722225102848?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = noProposition
          , dodgeReceipts = [ {receipt = "receipt1"}]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Nothing
          , dodgeNicksDoxasticReason = NoProp
          }
        , { dodgeLink = "https://x.com/The_Nutrivore/status/1534927799911317509?s=20"
          , dodgeDescription = NoReply
          , dodgeProposition = "Saturated fat does not cause cardiovascular disease."
          , dodgeReceipts = [ {receipt = "receipt1"}]
          , dodgeFallacy = Just (SpecificFallacy "")
          , dodgeNicksDoxasticState = Just Disbelief
          , dodgeNicksDoxasticReason = SpecificPropReason commonPropReasons.propSaturatedFatReason
          }
        ]
    }
